const express = require('express');
const products = require('./app/products');
const cors = require('cors')
const app = express();

const port = 8000;

const corsOptions = {
    origin: 'http://localhost:3000',
    optionsSuccessStatus: 200 // some legacy browsers (IE11, various SmartTVs) choke on 204
}

app.use(cors(corsOptions))
app.use(express.json())
app.use('/products', products);

app.listen(port, () => {
    console.log(`Server started on port ${port}`)
});